> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Elenca i metadati di tutti i segreti della tua organizzazione. Non restituisce i valori dei segreti.

# Elenca i segreti



## OpenAPI

````yaml it/v1-openapi.yaml GET /v1/secrets
openapi: 3.1.0
info:
  description: Devin v1 API con API Keys personali e di servizio
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/secrets:
    get:
      summary: Elenca i segreti
      description: >-
        Elenca tutti i segreti dell’organizzazione. Restituisce solo i metadati,
        non i valori dei segreti.
      operationId: get_secrets_v1_secrets_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SecretMetadata'
                title: Response Get Secrets V1 Secrets Get
                type: array
          description: Risposta corretta
components:
  schemas:
    SecretMetadata:
      description: Metadati relativi a un segreto archiviato.
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        id:
          title: Id
          type: string
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        type:
          enum:
            - cookie
            - key-value
            - dictionary
            - totp
          title: Type
          type: string
      required:
        - id
        - type
      title: SecretMetadata
      type: object
  securitySchemes:
    bearerAuth:
      description: Chiave API personale (apk_user_\*) o chiave API di servizio (apk_\*)
      scheme: bearer
      type: http

````